--- old/usr/src/uts/sparc/ip/Makefile	Wed Aug 14 17:50:29 2019
+++ new/usr/src/uts/sparc/ip/Makefile	Wed Aug 14 17:50:29 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2019 Joyent, Inc.
 #
 #	This makefile drives the production of the ip driver 
 #	kernel module.
@@ -66,6 +67,19 @@
 INC_PATH	+= -I$(UTSBASE)/common/io/bpf
 
 #
+# Depends on md5 and swrand (for SCTP). SCTP needs to depend on
+# swrand as it needs random numbers early on during boot before
+# kCF subsystem can load swrand.
+#
+LDFLAGS		+= -dy -Nmisc/md5 -Ncrypto/swrand -Nmisc/hook -Nmisc/neti
+
+#
+# Depends on the congestion control framework for TCP connections.
+# We make several different algorithms available by default.
+#
+LDFLAGS		+= -N misc/cc -N cc/cc_sunreno -N cc/cc_newreno -N cc/cc_cubic
+
+#
 # For now, disable these lint checks; maintainers should endeavor
 # to investigate and remove these for maximum lint coverage.
 # Please do not carry these forward to new Makefiles.
@@ -86,13 +100,6 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
-# Depends on md5 and swrand (for SCTP). SCTP needs to depend on
-# swrand as it needs random numbers early on during boot before
-# kCF subsystem can load swrand.
-#
-LDFLAGS		+= -dy -Nmisc/md5 -Ncrypto/swrand -Nmisc/hook -Nmisc/neti 
-
-#
 #	Default build targets.
 #
 .KEEP_STATE:
